메인 콘텐츠로 건너뛰기
GET
/
projects
/
{projectId}
/
tasks
List project tasks
curl --request GET \
  --url https://api.youka.io/api/v1/projects/{projectId}/tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "create-karaoke",
    "status": "created",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "error": "<string>"
  }
]

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

projectId
string
필수

응답

200 - application/json

Project task list

id
string
필수
type
enum<string>
필수
사용 가능한 옵션:
create-karaoke,
sync-lyrics,
stem-separation,
generate-video,
generate-chords,
export-project
status
enum<string>
필수
사용 가능한 옵션:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
createdAt
string
필수
updatedAt
string
필수
error
string | null